#!/usr/bin/env python

from WebStack.Adapters.JavaServlet import deploy
from SimpleWithLogin import get_site_map

# Change this to be the exact URL.
# eg. http://localhost:8000/cgi/myapp/requestid

login_url = "http://localhost:8080/SimpleWithLoginApp/login"

# Change this to be the URL base for your server.
# eg. http://localhost:8000

app_url = "http://localhost:8080" # No trailing "/"!

# Must match the key used elsewhere.

secret_key = "horses"

resource = get_site_map(app_url, login_url, secret_key)

# NOTE: Not sure if the resource should be maintained in a resource pool.

SimpleWithLoginApp = deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
